Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.move.composite
Class CartesianProductMoveSelector.OriginalCartesianProductMoveIterator

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator<S>
          org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator<Move>
              org.optaplanner.core.impl.heuristic.selector.move.composite.CartesianProductMoveSelector.OriginalCartesianProductMoveIterator

All Implemented Interfaces:
  Iterator<Move>

Enclosing class:
  CartesianProductMoveSelector

    public class CartesianProductMoveSelector.OriginalCartesianProductMoveIterator

extends UpcomingSelectionIterator<Move>

Field Summary

Fields inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator
`hasUpcomingSelection, upcomingCreated, upcomingSelection`

Constructor Summary
`CartesianProductMoveSelector.OriginalCartesianProductMoveIterator()`

Method Summary
`protected Move` | `createUpcomingSelection()`

Methods inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.UpcomingSelectionIterator
`hasNext, next, noUpcomingSelection`

Methods inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CartesianProductMoveSelector.OriginalCartesianProductMoveIterator

    public CartesianProductMoveSelector.OriginalCartesianProductMoveIterator()

Method Detail

### createUpcomingSelection

    protected Move createUpcomingSelection()

  Specified by:
    `createUpcomingSelection` in class `UpcomingSelectionIterator<Move>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.